# Poco

# template < class C >

# class TaskCustomNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

This is a template for "custom" notification. Unlike other notifications, this notification is instantiated and posted by the task itself. The purpose is to provide generic notifiation mechanism between the task and its observer(s).

## Inheritance

Direct Base Classes: TaskNotification

All Base Classes: Notification, RefCountedObject, TaskNotification

## Member Summary

Member Functions: custom

Inherited Functions: duplicate, name, referenceCount, release, task

## Constructors

### TaskCustomNotification

TaskCustomNotification(
Task * pTask,
const C & custom
);

## Destructor

### ~TaskCustomNotification

~TaskCustomNotification();

## Member Functions

### custom

const C & custom() const;